get
https://partner.gupshup.io/partner/bizgate/app//configuration/usage/app-wise
Returns messaging and billing usage aggregated for a single app across the requested from/to date range.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| from | Start date of the reporting window. | 2024-01-01 | String | Required |
| to | End date of the reporting window. | 2024-01-31 | String | Required |
Sample cURL — App-wise usage for date range.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/configuration/usage/app-wise?from=2024-01-01&to=2024-01-31' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"partnerAppUsageList": [
{
"appId": "12deb611-d9f5-4dc9-aab8-da38c86622c9",
"appName": "JulTest2",
"date": "2026-07-09",
"currency": "USD",
"incomingMsg": 1,
"outgoingMsg": 2,
"outgoingMediaMsg": 0,
"templateMsg": 0,
"templateMediaMsg": 0,
"totalMsg": 3,
"authentication": 0,
"internationalAuthentication": 0,
"marketing": 0,
"mmLiteMarketing": 0,
"mmLiteBid": 0,
"service": 2,
"utility": 0,
"ftc": 0,
"fep": 0,
"gsFees": 0.003,
"gsFeeCapiMarketing": 0.0,
"waFees": 0.0,
"voiceInMetaFeeUsage": 0,
"voiceOutMetaFeeUsage": 0,
"totalFees": 0.003,
"cumulativeBill": 0.003,
"discount": 0.0,
"gsCap": 75.0
}
]
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…